%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Mcrypt

Summary: 	Perl Mcrypt encryption module
Name: 		perl-Mcrypt
Version: 	2.4.8.2
Release: 	5.3
License:	Artistic/GPL
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/~jesus/Mcrypt-2.4.8.2/


Source: http://search.cpan.org/CPAN/authors/id/J/JE/JESUS/Mcrypt-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl libmcrypt-devel
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
The Mcrypt modules provides and simple and inuitive perl abstraction of the
libmcrypt cryptography library.  It provide mechanisms for encoding and
decoding perl scalars.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL PREFIX="%{_prefix}" INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}

%__make DESTDIR=%{buildroot} install
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Mcrypt.pm
%{perl_vendorarch}/auto/Mcrypt/*

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

